import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import BaaiLogoLight from './BaaiLogoLight';
import BaaiLogoDark from './BaaiLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const BaaiLogoSvg = forwardRef(function BaaiLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(BaaiLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(BaaiLogoLight, Object.assign({}, props, { ref: ref }));
});
export default BaaiLogoSvg;
